Updates & Downloads


VMPA Applet Binary LS Script software version 0.01

as of April 26, 2018

Use Garmin Express to install this file.

(74 KB)

View system requirements

Notes:

System requirements

  1. IBM-compatible PC running Windows 2000 or later operating system and an available USB port.